adding dmm checkstyle job 09/14009/2
authorsharath <sharathkumarboyanapally@gmail.com>
Tue, 7 Aug 2018 09:43:37 +0000 (15:13 +0530)
committersharath <sharathkumarboyanapally@gmail.com>
Wed, 8 Aug 2018 12:56:29 +0000 (18:26 +0530)
Change-Id: Idb5f5ebec4ad7185085cbf8aff2b4d1166d522a7
Signed-off-by: sharath <sharathkumarboyanapally@gmail.com>
jjb/dmm/dmm.yaml
jjb/dmm/include-raw-dmm-test-checkstyle.sh [new file with mode: 0644]

index 0a29ccb..3dec19e 100644 (file)
@@ -17,6 +17,7 @@
 - project:
     name: dmm
     jobs:
+        - 'dmm-verify-{stream}-checkstyle'
         - 'dmm-verify-{stream}-{os}'
         - 'dmm-merge-{stream}-{os}'
         - 'dmm-csit-verify-func-{stream}-{os}-virl'
         - master:
             branch: 'master'
 
+- job-template:
+    name: 'dmm-verify-{stream}-checkstyle'
+
+    project-type: freestyle
+    node: '{os}-basebuild-4c-4g'
+    concurrent: true
+
+    logrotate:
+        daysToKeep: '{build-days-to-keep}'
+        numToKeep: '{build-num-to-keep}'
+        artifactDaysToKeep: '{build-artifact-days-to-keep}'
+        artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+    parameters:
+        - project-parameter:
+            project: 'dmm'
+        - gerrit-parameter:
+            branch: '{branch}'
+        - os-parameter:
+            os: '{os}'
+
+    scm:
+        - gerrit-trigger-scm:
+            credentials-id: 'jenkins-gerrit-credentials'
+            refspec: '$GERRIT_REFSPEC'
+            choosing-strategy: 'gerrit'
+
+    wrappers:
+        - fdio-infra-wrappers:
+            build-timeout: '{build-timeout}'
+
+    triggers:
+        - gerrit-trigger-patch-submitted:
+            name: 'dmm'
+            branch: '{branch}'
+
+    builders:
+        - shell:
+            !include-raw-escape: include-raw-dmm-test-checkstyle.sh
+
+    publishers:
+      - fdio-infra-shiplogs:
+          maven-version: 'mvn33-new'
+
 - job-template:
     name: 'dmm-verify-{stream}-{os}'
 
diff --git a/jjb/dmm/include-raw-dmm-test-checkstyle.sh b/jjb/dmm/include-raw-dmm-test-checkstyle.sh
new file mode 100644 (file)
index 0000000..3811554
--- /dev/null
@@ -0,0 +1,23 @@
+#!/bin/bash
+# Copyright (c) 2018 Huawei Technologies Co.,Ltd.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+cd build/
+cmake ..
+make checkstyle
+if [ $? -eq 0 ]; then
+    echo "DMM checkstyle is SUCCESS"
+else
+    echo "DMM checkstyle has FAILED"
+    exit 1
+fi
\ No newline at end of file